### Method

# GLib Source get_id

#### Declaration [src]

    guint
    g_source_get_id (
      GSource* source
    )

#### Description [src]

Returns the numeric ID for a particular source.

The ID of a source is a positive integer which is unique within a particular main loop context. The reverse mapping from ID to source is done by `g_main_context_find_source_by_id()`.

You can only call this function while the source is associated to a `GMainContext` instance; calling this function before `g_source_attach()` or after `g_source_destroy()` yields undefined behavior. The ID returned is unique within the `GMainContext` instance passed to `g_source_attach()`.

#### Return value

Type: `guint`

The ID (greater than 0) for the source.